%define major 1.4

Name: libgeda
Version: 1.4.2
Release: alt1

Summary: libraries for the gEDA project

Url: http://www.geda.seul.org
License: GPL
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://geda.seul.org/release/v%major/%version/%name-%version.tar.bz2

Serial: 1

# FIXME (done linking with binary?): undefined select_func, do_logging and so on
%set_verify_elf_method none

# we need noweb package for full support of documented code
# manually removed:  xorg-cf-files glibc-devel-static imake 
# Automatically added by buildreq on Sun Feb 17 2008
BuildRequires: doxygen gcc-c++ glibc-devel guile16-devel libICE-devel libgtk+2-devel perl-XML-Parser intltool cvs

%description
This package contains libgeda (library needed by gEDA applications).

%package devel
Summary: Headers for developing apps which will use the libgeda
Group: Development/C
Requires: %name = %version

%description devel
Header files for developing applications
which will use the libgeda library. The package is needed
for building programs based on libgeda library.

%prep
%setup -q

%build
%__autoreconf
%configure --disable-static
%make_build

%install
%makeinstall_std
%find_lang libgeda33

%files -f libgeda33.lang
%doc AUTHORS BUGS ChangeLog HACKING README TODO
#%_infodir/*
%_datadir/gEDA/
%_libdir/libgeda.so.*
%_iconsdir/*/*/mimetypes/*
#%_datadir/mime/*

%files devel
%_libdir/libgeda.so
%dir %_includedir/libgeda/
%_includedir/libgeda/*.h
%_pkgconfigdir/libgeda.pc

%changelog
* Fri Dec 26 2008 Vitaly Lipatov <lav@altlinux.ru> 1:1.4.2-alt1
- new version (1.4.2)
- remove post/postun sections

* Sun Feb 17 2008 Vitaly Lipatov <lav@altlinux.ru> 1:1.4.0-alt1
- new version (1.4.0)
- update buildreq

* Sun Jan 13 2008 Vitaly Lipatov <lav@altlinux.ru> 1:1.2.1-alt1
- new version (1.2.1)
- cleanup spec, update buildreq

* Tue Sep 11 2007 Vitaly Lipatov <lav@altlinux.ru> 1:1.2.0-alt1
- new version (1.2.0)

* Fri Jun 08 2007 Vitaly Lipatov <lav@altlinux.ru> 20070526-alt1
- new version (20070526)

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 20070216-alt1
- new version (20070216)
- build with guile18

* Sun Sep 10 2006 Vitaly Lipatov <lav@altlinux.ru> 20060906-alt0.1
- new version
- remove info files

* Sat Jul 22 2006 Vitaly Lipatov <lav@altlinux.ru> 20060123-alt0.1
- new version (20060123)
- remove COPYING

* Wed Sep 14 2005 Vitaly Lipatov <lav@altlinux.ru> 20050820-alt0.1
- new version

* Fri Feb 04 2005 Vitaly Lipatov <lav@altlinux.ru> 20041228-alt0.1
- new version

* Tue Dec 14 2004 Vitaly Lipatov <lav@altlinux.ru> 20041214-alt0.1
- first build for ALT Linux Sisyphus

* Thu Aug 12 2004 Andy Shevchenko <andriy@asplinux.ru>
- update to version 20040111

* Thu Oct 09 2003 Andy Shevchenko <andriy@asplinux.ru>
- update to version 20030901

* Thu Jun 05 2003 Andy Shevchenko <andriy@asplinux.ru>

- update to new version

* Fri Mar 14 2003 Andy Shevchenko <andriy@asplinux.ru>

- update to new version
- rebuild for 8.1

* Wed May 8 2002 Andy Shevchenko <andriy@asplinux.ru>

- updated to version 20020414

* Tue Feb 26 2002 Andy Shevchenko <andy@smile.org.ua>

- updated to version 20020209
- make devel package

* Wed Oct 11 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 20001006

* Thu Aug 10 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- rebuild with new version of rpm (shouldn't change anything)

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 20000704
- changed licence from LGPL to GPL

* Wed Feb 23 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- removed 'Redhat Contrib Net' stuff
- updated to version 20000220

* Thu Oct 14 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 19991011

* Wed Sep 22 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 19990919

* Wed Sep  1 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 19990829

* Mon Jul 19 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- Group is now System Environment/Libraries
- rebuild with libgdgeda

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- initialization of spec file.

# end of file
